<?php

namespace Shop\Domain\PriceList\Contracts;

use Repo\PaginationInterface;
use Repo\RepositoryCriteriaInterface;

/**
 * Description of PriceList
 *
 * @author Diamond Code Generator
 */
interface PriceListCriteriaInterface extends RepositoryCriteriaInterface, PaginationInterface
{
    /**
     * @return int|null
     */
    public function getFilterByProviderId(): ?int;

    public function getSearchByTitle():?string ;

    /**
     * @return string|null
     */
    public function getSortByDateUpdate():?string ;
}           